	IFND	ISAM_ERRDEFS_I
ISAM_ERRDEFS_I	EQU	1
**
**	$Filename: libraries/ISAMErrDefs.i $
**	$Release:  1    $
**	$Revision: 03   $
**	$Date: 11/28/93 $
**
**	Error definitions for ISAM usage
**
**	Copyright (C) 1992, 1993 Scott C. Jacobs / RedShift Software.
**	All Rights Reserved. GTDR.
**
**
**      Provided by Koen Peetermans (and modified slightly)
**

ISAMErrStart                     EQU 1000
ERROR_BLANK_LINE                 EQU ISAMErrStart+0 
ERROR_CANNOT_DELETE_DATA_FILE    EQU ISAMErrStart+5 
ERROR_CANNOT_DELETE_INDEX_FILE   EQU ISAMErrStart+10 
ERROR_CANNOT_SET_ONEXIT          EQU ISAMErrStart+15 
ERROR_CONFLICTING_UorR           EQU ISAMErrStart+20 
ERROR_DATA_END_OF_FILE           EQU ISAMErrStart+25 
ERROR_DATA_FILE_NOT_FOUND        EQU ISAMErrStart+30 
ERROR_DELETED_RECORD             EQU ISAMErrStart+35 
ERROR_FILE_ALREADY_OPEN          EQU ISAMErrStart+40 
ERROR_FILE_IN_USE                EQU ISAMErrStart+45 
ERROR_FILE_LOCKED                EQU ISAMErrStart+50 
ERROR_FILE_NOT_OPEN              EQU ISAMErrStart+55 
ERROR_FROM_KEY_MISSING           EQU ISAMErrStart+60 
ERROR_FROM_KEY_PRESENT           EQU ISAMErrStart+65 
ERROR_INCOMPLETE_KEY_LINE        EQU ISAMErrStart+70 
ERROR_INCOMPLETE_PATH            EQU ISAMErrStart+75 
ERROR_INDEX_FILE_NOT_FOUND       EQU ISAMErrStart+80 

ERROR_INSUFFICIENT_MEMORY        EQU ISAMErrStart+85 
ERROR_INVALID_AorD               EQU ISAMErrStart+90 
ERROR_INVALID_DATA_FILE          EQU ISAMErrStart+95 
ERROR_INVALID_DATA_FILE_SIZE     EQU ISAMErrStart+100 
ERROR_INVALID_INDEX_FILE         EQU ISAMErrStart+105 
ERROR_INVALID_ITERATION_TYPE     EQU ISAMErrStart+110 
ERROR_INVALID_KEY_LENGTH         EQU ISAMErrStart+115 
ERROR_INVALID_KEY_OFFSET         EQU ISAMErrStart+120 
ERROR_INVALID_KEY_TYPE           EQU ISAMErrStart+125 
ERROR_INVALID_LOCK_TYPE          EQU ISAMErrStart+130 
ERROR_INVALID_PREFIX_LENGTH      EQU ISAMErrStart+135 
ERROR_INVALID_RECORD_LENGTH      EQU ISAMErrStart+140 
ERROR_INVALID_UorR               EQU ISAMErrStart+145 
ERROR_ISAM_ALREADY_INSTALLED     EQU ISAMErrStart+150 
ERROR_ISAM_NOT_INSTALLED         EQU ISAMErrStart+155 
ERROR_ISAM_SHUTTING_DOWN         EQU ISAMErrStart+160 
ERROR_KEY_IS_ASCENDING           EQU ISAMErrStart+165 
ERROR_KEY_IS_DESCENDING          EQU ISAMErrStart+170 
ERROR_KEY_LINE_TOO_LONG          EQU ISAMErrStart+175 
ERROR_KEY_NOT_UNIQUE             EQU ISAMErrStart+180 
ERROR_MAX_FILES_OPEN             EQU ISAMErrStart+185 

ERROR_NO_FREE_SIGNALS            EQU ISAMErrStart+190 

ERROR_NO_KEY_INFO                EQU ISAMErrStart+195 
ERROR_NO_MORE_RECORDS            EQU ISAMErrStart+200 
ERROR_NO_SUCH_KEY                EQU ISAMErrStart+205 
ERROR_NO_SUCH_RECORD             EQU ISAMErrStart+210 
ERROR_NULL_POINTER               EQU ISAMErrStart+215 
ERROR_PARM_COUNT_MISMATCH        EQU ISAMErrStart+217
ERROR_RECORDS_LOCKED             EQU ISAMErrStart+220 
ERROR_RECORD_EXISTS              EQU ISAMErrStart+225 
ERROR_RECORD_LOCKED              EQU ISAMErrStart+230 
ERROR_RECORD_TOO_HIGH            EQU ISAMErrStart+235 
ERROR_RENAME_FAILED_IN_REINDEX   EQU ISAMErrStart+240 
ERROR_SPECS_FILE_EMPTY           EQU ISAMErrStart+245 
ERROR_TO_KEY_MISSING             EQU ISAMErrStart+250 
ERROR_TO_KEY_PRESENT             EQU ISAMErrStart+255 
IERROR_DELETED_KEYNODE           EQU ISAMErrStart+400 
IERROR_HEADER_KEYNODE            EQU ISAMErrStart+405   
IERROR_INDEX_END_OF_FILE         EQU ISAMErrStart+410 
IERROR_INVALID_AorD              EQU ISAMErrStart+415 
IERROR_INVALID_INDEX_FILE_SIZE   EQU ISAMErrStart+420 
IERROR_INVALID_ISAM_COMMAND      EQU ISAMErrStart+425 
IERROR_KEYNODE_TOO_HIGH          EQU ISAMErrStart+430 
IERROR_KEY_VALUE_NOT_FOUND       EQU ISAMErrStart+435 
IERROR_NOT_DELETED_KEYNODE       EQU ISAMErrStart+440 
IERROR_NOT_DELETED_RECORD        EQU ISAMErrStart+445 
IERROR_NO_FFILE_FOR_TFILE        EQU ISAMErrStart+450 
IERROR_NO_RECORDS_IN_FILE        EQU ISAMErrStart+455 
ISAMErrStop                      EQU IERROR_NO_RECORDS_IN_FILE

	ENDC	; ISAM_ERRDEFS_I
